org.eclipse.jgit.transport

## Enum ReceiveCommand.Type

- java.lang.Object
- - java.lang.Enum<ReceiveCommand.Type>
  - - org.eclipse.jgit.transport.ReceiveCommand.Type

All Implemented Interfaces:
  Serializable, Comparable<ReceiveCommand.Type>

Enclosing class:
  ReceiveCommand

    public static enum ReceiveCommand.Type
    extends Enum<ReceiveCommand.Type>

Type of operation requested.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE` Create a new ref; the ref must not already exist.
`DELETE` Delete an existing ref; the ref should already exist.
`UPDATE` Update an existing ref with a fast-forward update.
`UPDATE_NONFASTFORWARD` Update an existing ref by potentially discarding objects.

### Method Summary

All Methods Static Methods Concrete Methods
`static ReceiveCommand.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReceiveCommand.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE

    public static final ReceiveCommand.Type CREATE

Create a new ref; the ref must not already exist.

#### UPDATE

    public static final ReceiveCommand.Type UPDATE

Update an existing ref with a fast-forward update.

During a fast-forward update no changes will be lost; only new commits are inserted into the ref.

#### UPDATE_NONFASTFORWARD

    public static final ReceiveCommand.Type UPDATE_NONFASTFORWARD

Update an existing ref by potentially discarding objects.

The current value of the ref is not fully reachable from the new value of the ref, so a successful command may result in one or more objects becoming unreachable.

#### DELETE

    public static final ReceiveCommand.Type DELETE

Delete an existing ref; the ref should already exist.

### Method Detail

#### values

    public static ReceiveCommand.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReceiveCommand.Type c : ReceiveCommand.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReceiveCommand.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null